Clean install failed on Rocky Linux 9.2

NethServer Version: NS8

Not sure how to debug…

Hi Xinli, thank you for installing NS8 and welcome to our community!

You can safely ignore the “WRONGPASS” message: it’s harmless and hopefully we’ll find a way to suppress it in the future.

You could investigate further the create-module failure with

journalctl

To attempt a new NS8 installation, follow the instructions at Installation — NS8 documentation. Read it carefully, uninstall, then execute the installation script again.

Try to run this command

podman pull docker.io/traefik:v2.9

If it succeeds, try a new NS8 installation as explained in my previous post. If it fails, report the error message here.

podman pull docker.io/traefik:v2.9 succeeded:

Ran /var/lib/nethserver/node/uninstall.sh then curl https://raw.githubusercontent.com/NethServer/ns8-core/ns8-stable/core/install.sh | bash again, exactly the same error:

File "/home/traefik1/.config/actions/create-module/51waitsync", line 28, in <module>
task/module/traefik1/320c7fea-7a34-4eed-a95f-194f4aec8af5: action "create-module" status is "aborted" (1) at step 51waitsync

@amygos @Tbaile, any idea? It seems get_route() is failing 10 times at that point. I can’t reproduce it today, BTW I installed on CentOS Stream but I guess it does not matter here.

@xwu, can you see any relevant log line?

journalctl _UID=$(id -u traefik1)

Please attach the full output of that command.

I have tried reproducing the problem with Rocky Linux 9.2 on a DigitalOcean droplet, but without success.

1 Like

Hi Davide, please see the following log output for journalctl _UID=$(id -u traefik1)

Aug 08 11:27:27 dc agent@traefik1[127015]: True
Aug 08 11:27:27 dc agent@traefik1[127015]: True
Aug 08 11:27:27 dc agent@traefik1[127015]: Created symlink /home/traefik1/.config/systemd/user/default.target.wants/traefik.service → /home/traefik1/.config/systemd/user/traefik.service.
Aug 08 11:27:27 dc systemd[127000]: Reloading.
Aug 08 11:27:28 dc systemd[127000]: Started Monitor acme.json file for changes.
Aug 08 11:27:28 dc systemd[127000]: Starting Traefik edge proxy...
Aug 08 11:27:28 dc podman[127142]: 
Aug 08 11:27:28 dc systemd[127000]: Started libcrun container.
Aug 08 11:27:29 dc traefik1[127142]: 6fdfe16f79cb2474733a83ef7e148fd4e017cb028547a074133338e4e38c6301
Aug 08 11:27:29 dc systemd[127000]: Started Traefik edge proxy.
Aug 08 11:27:29 dc agent@traefik1[127015]: task/module/traefik1/25f06865-e907-47e7-86f2-ea7c94a24fa9: create-module/51waitsync is starting
Aug 08 11:27:31 dc agent@traefik1[127015]: Traceback (most recent call last):
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/urllib/request.py", line 1348, in do_open
Aug 08 11:27:31 dc agent@traefik1[127015]:     h.request(req.get_method(), req.selector, req.data, headers,
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/http/client.py", line 1282, in request
Aug 08 11:27:31 dc agent@traefik1[127015]:     self._send_request(method, url, body, headers, encode_chunked)
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/http/client.py", line 1328, in _send_request
Aug 08 11:27:31 dc agent@traefik1[127015]:     self.endheaders(body, encode_chunked=encode_chunked)
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/http/client.py", line 1277, in endheaders
Aug 08 11:27:31 dc agent@traefik1[127015]:     self._send_output(message_body, encode_chunked=encode_chunked)
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/http/client.py", line 1037, in _send_output
Aug 08 11:27:31 dc agent@traefik1[127015]:     self.send(msg)
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/http/client.py", line 975, in send
Aug 08 11:27:31 dc agent@traefik1[127015]:     self.connect()
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/http/client.py", line 941, in connect
Aug 08 11:27:31 dc agent@traefik1[127015]:     self.sock = self._create_connection(
Aug 08 11:27:31 dc agent@traefik1[127015]:                 ^^^^^^^^^^^^^^^^^^^^^^^^
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/socket.py", line 851, in create_connection
Aug 08 11:27:31 dc agent@traefik1[127015]:     raise exceptions[0]
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/socket.py", line 836, in create_connection
Aug 08 11:27:31 dc agent@traefik1[127015]:     sock.connect(sa)
Aug 08 11:27:31 dc agent@traefik1[127015]: ConnectionRefusedError: [Errno 111] Connection refused
Aug 08 11:27:31 dc agent@traefik1[127015]: During handling of the above exception, another exception occurred:
Aug 08 11:27:31 dc agent@traefik1[127015]: Traceback (most recent call last):
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/home/traefik1/.config/pypkg/get_route.py", line 41, in get_route
Aug 08 11:27:31 dc agent@traefik1[127015]:     with urllib.request.urlopen(f'http://127.0.0.1/{api_path}/api/http/routers/{module}-https@redis') as res:
Aug 08 11:27:31 dc agent@traefik1[127015]:          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/urllib/request.py", line 216, in urlopen
Aug 08 11:27:31 dc agent@traefik1[127015]:     return opener.open(url, data, timeout)
Aug 08 11:27:31 dc agent@traefik1[127015]:            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/urllib/request.py", line 519, in open
Aug 08 11:27:31 dc agent@traefik1[127015]:     response = self._open(req, data)
Aug 08 11:27:31 dc agent@traefik1[127015]:                ^^^^^^^^^^^^^^^^^^^^^
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/urllib/request.py", line 536, in _open
Aug 08 11:27:31 dc agent@traefik1[127015]:     result = self._call_chain(self.handle_open, protocol, protocol +
Aug 08 11:27:31 dc agent@traefik1[127015]:              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/urllib/request.py", line 496, in _call_chain
Aug 08 11:27:31 dc agent@traefik1[127015]:     result = func(*args)
Aug 08 11:27:31 dc agent@traefik1[127015]:              ^^^^^^^^^^^
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/urllib/request.py", line 1377, in http_open
Aug 08 11:27:31 dc agent@traefik1[127015]:     return self.do_open(http.client.HTTPConnection, req)
Aug 08 11:27:31 dc agent@traefik1[127015]:            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/usr/lib64/python3.11/urllib/request.py", line 1351, in do_open
Aug 08 11:27:31 dc agent@traefik1[127015]:     raise URLError(err)
Aug 08 11:27:31 dc agent@traefik1[127015]: urllib.error.URLError: <urlopen error [Errno 111] Connection refused>
Aug 08 11:27:31 dc agent@traefik1[127015]: During handling of the above exception, another exception occurred:
Aug 08 11:27:31 dc agent@traefik1[127015]: Traceback (most recent call last):
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/home/traefik1/.config/actions/create-module/51waitsync", line 28, in <module>
Aug 08 11:27:31 dc agent@traefik1[127015]:     while get_route({'instance': 'ApiServer'}).get('instance') != "ApiServer" and retry <= 10:
Aug 08 11:27:31 dc agent@traefik1[127015]:           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Aug 08 11:27:31 dc agent@traefik1[127015]:   File "/home/traefik1/.config/pypkg/get_route.py", line 123, in get_route
Aug 08 11:27:31 dc agent@traefik1[127015]:     raise Exception(f'Error reaching traefik daemon: {e.reason}')
Aug 08 11:27:31 dc agent@traefik1[127015]: Exception: Error reaching traefik daemon: [Errno 111] Connection refused
Aug 08 11:27:31 dc agent@traefik1[127015]: task/module/traefik1/25f06865-e907-47e7-86f2-ea7c94a24fa9: action "create-module" status is "aborted" (1) at step 51waitsync
Aug 08 11:27:31 dc traefik[127151]: time="2023-08-08T11:27:31Z" level=info msg="Configuration loaded from file: /etc/traefik/traefik.yaml"
Aug 08 11:27:31 dc traefik[127151]: time="2023-08-08T11:27:31Z" level=info msg="Traefik version 2.9.10 built on 2023-04-06T16:15:08Z"
Aug 08 11:27:31 dc traefik[127151]: time="2023-08-08T11:27:31Z" level=info msg="\nStats collection is disabled.\nHelp us improve Traefik by turning this feature on :)\nMore details on: https://doc.traefik.io/>
Aug 08 11:27:32 dc traefik[127151]: time="2023-08-08T11:27:32Z" level=info msg="Starting provider aggregator aggregator.ProviderAggregator"
Aug 08 11:27:32 dc traefik[127151]: time="2023-08-08T11:27:32Z" level=info msg="Starting provider *file.Provider"
Aug 08 11:27:32 dc traefik[127151]: time="2023-08-08T11:27:32Z" level=info msg="Starting provider *traefik.Provider"

Hi Matteo, thanks for your effort. If you don’t mind, I have created a test sever and just messaged you the private key you can use to login.

As I can see from the log, the action tries to call the Traefik’s API HTTP endpoint before the Traefik daemon in is up and running.
But this is the reason why we have the loop, to wait until the cluster admin route is ready.

Maybe the exception is not correctly handled?

I banged my head in a wall recently with SFTPgo because the hypervisor was really slow hence the VM was the same. With digital ocean you are on SSD, in fact the first start of sftpgo is slow and I was trying to request on it but it was not really started

@xwu what is the resources of your hypervisor or your bare server, what are the resources of the VM/server

1 Like

Hi Stephane, I’m not sure if I understood the question. This is the output of hostnamectl

Static hostname: dc
       Icon name: computer-vm
         Chassis: vm 🖴
      Machine ID: 187c42108c0a4f39b8311ff514afd9e7
         Boot ID: 24fd21120ab54e6e9fcb9851aae8a3c6
  Virtualization: kvm
Operating System: Rocky Linux 9.2 (Blue Onyx)                               
     CPE OS Name: cpe:/o:rocky:rocky:9::baseos
          Kernel: Linux 5.14.0-162.12.1.el9_1.0.2.x86_64
    Architecture: x86-64
Firmware Version: ?-20171121_152543-x86-ol7-builder-01.us.oracle.com-4.el7.1

It’s just the free compute instance from Oracle Cloud

2 Likes

Hello

How many cores, ram do you allocated to the vm

Does the virtual drive of the vm is on ssd or on spinning drive (so slow…)

1 CPU Core, 1GB Ram and SSD but quite slow around 50M/s I think

1 Like

Please please try again with more ram and more cores

https://ns8.nethserver.org/en/latest/system_requirements.html

1 Like
Minimum hardware requirements for a single node installation:

2 vCPU/cores

2GB RAM

20GB disk

From the minimal requirement, however my 3 years old smartphone got 8 cores, 6GB RAM and 128GB storage

Please do not be shy with NS8 :smiley:

2 Likes

Thank you for all your reply, that might be the reason then!

1 Like